projects <- tribble(
    ~area, ~accomplishment, ~year, ~where, ~detail,
    
    "Niryo Ned 2 Development", "Robotic Arm Development", 2023, "Singapore Institute of Technology", "Robot Arm Package(s) development based on Robot Operating System (ROS)",
    "Niryo Ned 2 Development", "Robotic Arm Development", 2023, "Singapore Institute of Technology", "Skills acuqired: ROS Development, Computer Vision, Scrum Framework",
    
    "FreeRTOS Car", "An embedded systems project", 2023, "Singapore Institute of Technology", "Maze-solving robot car based on FreeRTOS, employing the use of multiple sensor components",
    "FreeRTOS Car", "An embedded systems project", 2023, "Singapore Institute of Technology", "Skills acuqired: C, FreeRTOS, Sensor Driver development and integration",
    
    "Linux Driver Development", "A User & Kernel space communication Application", 2023, "Singapore Institute of Technology", "Linux User-Space and Kernel-Space driver development to allow for hashing and communication",
    "Linux Driver Development", "A User & Kernel space communication Application", 2023, "Singapore Institute of Technology", "Skills acuqired: C, Linux Kernel Driver Development, Bash",
    
    "SafeShare", "A safe, distributed file sharing application ", 2023, "Singapore Institute of Technology", "A python-based, scalable and distributed file sharing application coupled with virus scanning technology as a microservice utilising Docker and Kubernetes (K8S)",
    "SafeShare", "A safe, distributed file sharing application ", 2023, "Singapore Institute of Technology", "Skills acuqired: Docker, Docker Compose, Kubernetes, Distributed Systems, Cloud Computing",
    
    "LaDo", "Todo list & Pomodoro Application", 2023, "Singapore", "A todo list developed using Laravel and its technologies",
    "LaDo", "Todo list & Pomodoro Application", 2023, "Singapore", "Skills acuqired: Laravel 10 and toolkit (Breeze, Livewire, Sanctum, Eloquent)",
    
    "FormBuilder", "PHP formbuilder library", 2023, "Singapore Institute of Technology", "A form builder PHP library for CodeIgniter4 that provides APIs and frontends to developers",
    "FormBuilder", "PHP formbuilder library", 2023, "Singapore Institute of Technology", "Skills acuqired: PHP, CodeIgniter4, PHP Library development",

    "Steganography with Python", "A PoC Application of LSB-based Steganography", 2023, "Singapore Institute of Technology", "Least Significant Bits (LSB) Steganography application with support for multiple file type Information Hiding",
    "Steganography with Python", "A PoC Application of LSB-based Steganography", 2023, "Singapore Institute of Technology", "Skills acuqired: LSB Steganography for multiple file formats",
    
    "Creality Ender 3 V2 3D Printer", "3D Printer", 2022, "Singapore", "3D Printer powered by a Raspberry Pi to print functional parts for replacement/repair of equipment",
    "Creality Ender 3 V2 3D Printer", "3D Printer", 2022, "Singapore", "Modified and engineered to print different materials at a higher speed and accuracy",
    "Home Server", "DOCKER‑BASED SERVER", 2022, "Singapore", "Decommissioned personal computer recommissioned as a docker‑based server that serves applications like bitwarden and Gitea",
    "Home Network router", "PFSENSE NETWORK ROUTER", 2021, "Singapore", "Installed and configured PFSense router software on decommissioned Personal Computer(PC) to serve as a home network router at home. This allows for better control and configuration of my home network to suite my family’s needs.",
    "Home Network router", "PFSENSE NETWORK ROUTER", 2021, "Singapore", "Services Include — Network Segregation, Load Balancer, DNS Server/Forwarder, Reverse Proxy Server, Wireguard VPN Server",
    "devblog.periodicc.com", "GITLAB‑HOSTED WEBSiTE", 2020, "gitlab.com", "Deployed a website with Gitlab’s CI/CD to serve as a portfolio and a cheatsheet/guide for future code and  configuration references",
    "Home File Server", "FREENAS NETWORK‑ATTACHED STORAGE", 2019, "Singapore", "Installed, configured and secured FreeNAS as a network storage for my family to store files off their devices"
)

certifications <- tribble(
    ~area, ~accomplishment, ~year, ~where, ~detail,
    "Google Advanced Data Analytics", "Google Advanced Data Analytics Certification", "2024", "Coursera", NA,
    "Google Cyber Security", "Google Cyber Security Certification", "2024", "Coursera", NA,
    "Amazon Web Services (AWS)", "AWS Academy Cloud Foundations", "2023", "AWS", NA,
    "Docker", "Docker Fundamentals", "2023", "VMware", NA,
    "Kubernetes", "Kubernetes Fundamentals", "2023", "VMware", NA,
    "JPMorgan Software Engineering Virtual Experience on Forage", "Used perspective data visualization software and Python to monitor stock price trends and create trading strategies.", "October 2022", "JPMorgan Chase & Co.", NA,
    # "HackerRank", "SQL(BASIC)", "2022", "HackerRank", NA,
    # "HackerRank", "PYTHON(BASIC)", "2022", "HackerRank",NA ,
    #"Taekwondo", "SINGAPORE TAEKWONDO FEDERATiON 3RD DAN BLACK BELT", "2019", "Singapore", NA,
    #"Taekwondo", "KUKKIWON 1ST DAN BLACK BELT", "2018", "Singapore", NA,
    #"Taekwondo", "NATIONAL COACH ACCREDIATION PROGRAM LEVEL 2(TECHNICAL)", "2017", "Singapore", NA
    
)

skills <- tribble(
    ~area, ~skills,
    "Programming Languages", "PYTHON, C, R, JAVA, SQL, PHP, BASH, RUST, C#",
    "Cyber Security", "CRYPTOGRAPHY, BASIC REVERSE ENGINEERING, MALWARE ANALYSIS, TRAFFIC ANALYSIS, SIEM, SOAR",
    #"Markup Languages", "CSS, HTML, LaTeX, MARKDOWN",
    # "Data Interchange Formats", "CSV, JSON, XML",
    "Operating Systems", "GNU/LINUX, WiNDOWS, FREEBSD VARIENTS, FreeRTOS, ROBOT OPERATING SYSTEM (ROS)",
    "Version Control", "Git",
    # "Text Editors", "SQL SERVER MANAGEMENT STUDIO, VIM, VISUAL STUDIO, VISUAL STUDIO CODE, ECLIPSE",
    # "Microsoft Office", "OUTLOOK, ONENOTE, POWERpOINT, WORD, EXCEL",
    "IoT", "RASPBERRY PI, 3D PRINTERS, ESP32, ARDUINO, ROS"
)

honors <- tribble(
    ~area, ~accomplishment, ~year, ~where, ~detail,
)

edu <- tribble(
    ~degree, ~startYear, ~endYear, ~inst, ~where, ~detail,
    "BSC (HONS) COMPUTING SCIENCE", 2022, NA, "Singapore Institute of Technology, University of Glasgow", "Singapore/Glasgow", "Cumulative Grade Point Average: 4.73/5",
    "BSC (HONS) COMPUTING SCIENCE", 2022, NA, "Singapore Institute of Technology, University of Glasgow", "Singapore/Glasgow", "Provost List AY2023/2024 (Top 2% of cohort)",
    "BSC (HONS) COMPUTING SCIENCE", 2022, NA, "Singapore Institute of Technology, University of Glasgow", "Singapore/Glasgow", "Singtel SHINE Apprentice",
    "BSC (HONS) COMPUTING SCIENCE", 2022, NA, "Singapore Institute of Technology, University of Glasgow", "Singapore/Glasgow", "Code Olympics 2024 (Participant)",
    "BSC (HONS) COMPUTING SCIENCE", 2022, NA, "Singapore Institute of Technology, University of Glasgow", "Singapore/Glasgow", "StandCon CTF 2023 (Participant)",
    "Diploma in Cyber Sercurity and Forensics", 2017, 2020, "Nanyang Polytechnic", "Singapore", "Cumulative Grade Point Average: 3.37/4",
    "Diploma in Cyber Sercurity and Forensics", 2017, 2020, "Nanyang Polytechnic", "Singapore", "Diploma Plus: Linux System Essentials",
    "Diploma in Cyber Sercurity and Forensics", 2017, 2020, "Nanyang Polytechnic", "Singapore", "NYP Taekwondo Club",
    # "GCE 'O' Levels ", 2013, 2016, "Balestier Hill Secondary School", "Singapore","Aggregate Score: 13",
)

work <- tribble(
    ~title, ~unit, ~startMonth, ~startYear, ~endMonth, ~endYear, ~where, ~detail,
    "Security Engineer SHINE Intern", "Technology and Service Assurance", "September", 2024,  "Present", NA, "Singapore Telecommunications Ltd (Singtel)", "Responsible for updating and improving the Automation System(s) of the Advance Security Operations Centre (ASOC)",
    "Armament Technician Specialist", "SINGAPORE ARMED FORCES", "July", 2020,  "July", 2022, "Singapore", "Responsible for maintainence and repair of the armament and C4 Systems of the Hunter Armoured Fighting Vehicle",
    "Armament Technician Specialist", "SINGAPORE ARMED FORCES", "July", 2020,  "July", 2022, "Singapore", "Led a section of 7 ‑ 10 technicians for daily maintenance of vehicles",
    "Student Intern", "CYBER TEST SYSTEMS", "November", 2019,  "Feburary", 2020, "Cyber Test Systems", "Malware Analysis of a 32‑bit Potable executable file",
    "Student Intern", "CYBER TEST SYSTEMS", "November", 2019,  "Feburary", 2020, "Cyber Test Systems", "Log Analysis with security information and event management (SIEM) for the creation of threat signatures based on different cyber attack threat
vectors",
    "Student Intern", "CYBER TEST SYSTEMS", "November", 2019,  "Feburary", 2020, "Cyber Test Systems", "Developed A Raspberry Pi GPS‑based NTP Server",
    "Student Intern", "CYBER TEST SYSTEMS", "November", 2019,  "Feburary", 2020, "Cyber Test Systems", "Depolyed Hybrid Cyber Range (Server Infrastructure) for services that include — File Sharing (SMB), Domain Name Server (DNS), Network time
(NTP)",
    "Administrator", "OLYMPUS LEARNING ACADAMY", "Feburary", 2019,  "March", 2019, "Coursemology.sg", "Website Management and creation of new course pages on the website",
    "Administrator", "OLYMPUS LEARNING ACADAMY", "Feburary", 2019,  "March", 2019, "Coursemology.sg", "Online marketing with email marketing, email automation and Search Engine Optimisation",
    "Administrator", "OLYMPUS LEARNING ACADAMY", "Feburary", 2019,  "March", 2019, "Coursemology.sg", "Front‑end customer service and administration.",
    "Instructor", "JH KIM TAEKWONDO INSTITUDE(MAIN)", "May", 2016,  "June", 2016, "Millenia Walk, Singapore", "Taught Children and Young adults Taekwondo Basic hand and kicking techniques for self defense",
    "Instructor", "Team Spectrum Taekwondo", "August", 2015, "Present", NA, "Singapore", "Taught classes of varying ages —Toddlers ‑ Seniors Taekwondo hand and kicking techniques for self defense",
    "Instructor", "Team Spectrum Taekwondo", "August", 2015, "Present", NA, "Singapore", "Instilling values in younger students",
    "Instructor", "Team Spectrum Taekwondo", "August", 2015, "Present", NA, "Singapore", "Responsible for weekly training sessions for competitive and non‑competitive environments",
)

scholarships <- tribble(
    ~ scholarship, ~ from, ~ year,
    "Singtel Shine Apprentice", "Singtel", 2022
)

competitions <- tribble(
    ~ competition, ~ from, ~ year,
    "OSCTF", "OSCTF", 2024,
    "Code Olympics", "Singapore Institute of Technology/University of Glasgow", 2024,
    "StandCon CTF", "NoH4ts", 2023,
)

works <- tribble(
    ~area, ~accomplishment, ~year, ~where, ~detail,
)
